com.amazonaws.services.codedeploy.model

## Class ListOnPremisesInstancesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.ListOnPremisesInstancesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListOnPremisesInstancesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of list on-premises instances operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListOnPremisesInstancesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListOnPremisesInstancesResult` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getInstanceNames()` The list of matching on-premises instance names.
`String` `getNextToken()` If a large amount of information is returned, an identifier is also returned.
`int` `hashCode()`
`void` `setInstanceNames(Collection<String> instanceNames)` The list of matching on-premises instance names.
`void` `setNextToken(String nextToken)` If a large amount of information is returned, an identifier is also returned.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListOnPremisesInstancesResult` `withInstanceNames(Collection<String> instanceNames)` The list of matching on-premises instance names.
`ListOnPremisesInstancesResult` `withInstanceNames(String... instanceNames)` The list of matching on-premises instance names.
`ListOnPremisesInstancesResult` `withNextToken(String nextToken)` If a large amount of information is returned, an identifier is also returned.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListOnPremisesInstancesResult

    public ListOnPremisesInstancesResult()

### Method Detail

#### getInstanceNames

    public List<String> getInstanceNames()

The list of matching on-premises instance names.

Returns:
  The list of matching on-premises instance names.

#### setInstanceNames

    public void setInstanceNames(Collection<String> instanceNames)

The list of matching on-premises instance names.

Parameters:
  `instanceNames` - The list of matching on-premises instance names.

#### withInstanceNames

    public ListOnPremisesInstancesResult withInstanceNames(String... instanceNames)

The list of matching on-premises instance names.

NOTE: This method appends the values to the existing list (if any). Use `setInstanceNames(java.util.Collection)` or `withInstanceNames(java.util.Collection)` if you want to override the existing values.

Parameters:
  `instanceNames` - The list of matching on-premises instance names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInstanceNames

    public ListOnPremisesInstancesResult withInstanceNames(Collection<String> instanceNames)

The list of matching on-premises instance names.

Parameters:
  `instanceNames` - The list of matching on-premises instance names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list on-premises instances call to return the next set of on-premises instances in the list.

Parameters:
  `nextToken` - If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list on-premises instances call to return the next set of on-premises instances in the list.

#### getNextToken

    public String getNextToken()

If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list on-premises instances call to return the next set of on-premises instances in the list.

Returns:
  If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list on-premises instances call to return the next set of on-premises instances in the list.

#### withNextToken

    public ListOnPremisesInstancesResult withNextToken(String nextToken)

If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list on-premises instances call to return the next set of on-premises instances in the list.

Parameters:
  `nextToken` - If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list on-premises instances call to return the next set of on-premises instances in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListOnPremisesInstancesResult clone()

Overrides:
  `clone` in class `Object`